
program test (input, output);

use cinte_comf; 

var integral,z, pi   : interval;
   i,n,na,nb, nr, n2 : integer;


{=======  Definition der Integranden ===================================}

{=======  0: 1/(1+x^4) ===========================}
       
function f0(x : inte_type): inte_type; 
begin
   f0 :=  1/(1+sqr(sqr(x)));
end;

{=======  1: sin(x^2)*exp(x)  ====================}
       
function f1(x : inte_type): inte_type; 
begin
   f1 := sin(sqr(x))*exp(x);
end;

{=======  2: (3-x)*(5-x)/(4-x) ====================}

function f2(x : inte_type): inte_type; 
begin
   f2 := (x-3)*(x-5)/(x-4);
end;

{=======  3: sin(e^x)  ====================}
  
function f3(x : inte_type): inte_type; 
begin
   f3 := sin(exp(x));
end;

{=======  4: 5 sin x + (9x-4)*(9x-8)*.../(1+(90-110x)^4  ====================}
 
function f4(x : inte_type): inte_type; 
begin
   f4 := 5*sin(x)+
   (9*x-4)*
   (9*x-8)*
   (3*x-4)*
   (9*x-10)*
   (pi-2*x)/
   (1+sqr(sqr(90*x-110)));
end;

{======== 5: 4sin(x)+1/4*sqrt(|x-z|^3) ==========}

function f5(x : inte_type): inte_type; 
begin
   f5 :=4*sin(x)+0.25*pow(sqrtabs(x-z),3)
end;

{=======  6: 1/(1+10x^2)  ====================}
 
function f6(x : inte_type): inte_type; 
begin
   f6 := 1/(1+10*sqr(x)); 
end;

{=======  7: sin(1/x)  ====================}

function f7(x : inte_type): inte_type; 
begin
   f7 := sin(1/x);
end;

{=======  8: exp("rational function")  ====================}

function f8(x : inte_type): inte_type; 
begin
   f8 :=  exp(-sqr(x+1)/(pow(x,4)+3*pow(x,3)+
	     6*sqr(x)+2*x+1));
end;

{=======  9: 1/(e^(-x)+cos^2 x)  ====================}
 
function f9(x : inte_type): inte_type; 
begin
   f9 := 1/(exp(-x)+ sqr(cos(x)));
end;

{=======  10: e^(-x^2)  ====================}
       
function f10(x : inte_type): inte_type; 
begin
   f10 := exp(-sqr(x));
end;

{======== 11: 1/(1-0.55x^2) ==========}

function f11(x : inte_type): inte_type; 
begin
   f11 := 1/(1-0.55*sqr(x));
end;


{======== 12: sin(x)+1/8*pow(sqrtabs(x-z),3) ==========}

function f12(x : inte_type): inte_type; 
begin
   f12 := sqrtabs(x);
end;


{======== Aufruf der Integration ================}


begin
   writeln('function number ?');
   read(nr);
   pi:=4*arctan(1);
   n:=0;
   na:=0;
   nb:=0;
   cinte_init;

   case nr of
     0	: for i:=1 to 1 do
	 begin
	    integral:= integrate(f0,  0.0, 1.0, 1.0e-12);
	     writeln(integral, diam(integral));
	 end;
     1	: for i:=1 to 1 do
	 begin
	    integral:= integrate(f1, 10.0, 40.0, 1.0e-12);
	     writeln(integral, diam(integral));
	 end;
     6	: for i:=1 to 10 do
	 begin
	    integral:= integrate(f6, -1.0, 2.0, 1.0e-12);
	     writeln(integral, diam(integral));
	 end;
     7	: for i:=1 to 1 do
	 begin
	    integral:= integrate(f7, 0.00001, 1.0, 1.0e-12);
	    writeln(integral, diam(integral));
	 end;
     8	: for i:=1 to 10 do
	 begin
	    integral:= integrate(f8, 0.0, 100.0, 1.0e-12);
	    writeln(integral, diam(integral));
	 end;
     9	: for i:=1 to 10 do
	 begin
	    integral:= integrate(f9, 0.0, 30.0, 1.0e-12);
	    writeln(integral, diam(integral));
	 end;
     10	: for i:=1 to 1 do
	 begin
	    integral:= integrate(f10, 0.0, 7.0, 1.0e-12);
	    writeln(integral, diam(integral));
	 end;
     11	: for i:=1 to 1 do
	 begin
	    integral:= integrate(f11, 0.0, 1.0, 0.1e-4,n);
	     writeln(integral, diam(integral));
	 end;
 
     12	: for i:=1 to 1 do
	 begin
	    integral:= integrate(f12, 0.0, 4.0, 0.1e-8,n);
	    writeln(integral, diam(integral));
	 end;
 
     2	: for i:=1 to 1 do
	 begin
	    integral:= integrate(f2, 0.0, 10.0, 1.0e-12, 1.0e-8);
	     writeln(integral, diam(integral));
	 end;
     3	: for i:=1 to 1 do
	 begin
	    integral:= integrate(f3, 0.0, 10.0, 1.0e-12);
	     writeln(integral, diam(integral));
	 end;
     4	: for i:=1 to 1 do
	 begin
	    integral:= integrate(f4, 0.0, mid(pi), 1.0e-12);
	    writeln(integral, diam(integral));
	 end;
     5	: begin
	     n:=0;
	    for i:=1 to 1000 do
	    begin
	       z:=(i-0.5)/2000;
	       integral:= integrate(f5, 0.0, 1.0,1.0e-9, n2);
	       writeln(integral, diam(integral));
	       n:=n+n2;
	    end;
	    writeln('gesamt: ',n,' Stuetzstellen');
	 end;
   end;

end. { test }


      





      
